Bug 2264930 - Cannot access GNOME because of wrong layout (US) in GDM (PASSWORD with wrong layout) [NEEDINFO]
Summary: Cannot access GNOME because of wrong layout (US) in GDM (PASSWORD with wrong ...
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: GNOME SIG Unassigned
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: openqa
Depends On:
Blocks: F41BetaFreezeException F41FinalBlocker
TreeView+ depends on / blocked
 
Reported: 2024-02-19 17:57 UTC by Yannick Defais
Modified: 2024-04-12 18:27 UTC (History)
19 users (show)

Fixed In Version: gnome-shell-46~beta-7.fc40
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-03-03 17:22:23 UTC
Type: ---
Embargoed:
awilliam: needinfo? (sevmek)


Attachments (Terms of Use)

Description Yannick Defais 2024-02-19 17:57:45 UTC
This involve 3 different steps in the installation process:
1- At the begining, initial-setup ask for the keyboard layout, I've choosen French (Alt.)
2- At the first boot after Anaconda installation, one is presented with the initial-setup to choose password in GNOME. For testing purpose, let's choose the very first letter of the keybord (which is Q in US layoput and A in french layout). This is set using the correct layout (French Alt.), thus password=A.
3- After another reboot, one is presented with GDM. This is where the bug is: GDM use the US layout. If one type the first letter of the keybord, it prints Q (US). It should have printed A (French). One cannot login to the desktop.

To summary the issue here:
GDM is not configured with the same layout choosen in the installaiton process. It stays with default US. This broke the password in many other layout than US, this the access to the desktop.

Reproducible: Always

Steps to Reproduce:
1. Use french (alt.) keyboard layout to set the password=A
2. Install F40 workstation, reboot
3. Presented with GDM, when typing A, you'l get Q because GDM still has default US layout.
Actual Results:  
GDM has US layout

Expected Results:  
GDM should have the same layout has used in the installation process.

Comment 1 Adam Williamson 2024-02-19 19:03:22 UTC
I suspect this is actually a GDM bug, and it's recent. I hadn't had time to look into it yet, but I noticed that in the compose after https://bodhi.fedoraproject.org/updates/FEDORA-2024-f543e8595c landed, on installs where we set up multiple input methods (e.g. the Russian install test), the input method indicator/selector in GDM is entirely missing:

https://openqa.fedoraproject.org/tests/2422343#step/_graphical_wait_login/15

openQA is expecting to see a layout indicator/selector there, and there just...isn't one. There definitely should be. I suspect this bug and that one probably have the same cause.

Comment 2 Adam Williamson 2024-02-19 19:04:03 UTC
er, sorry, I meant it's a gnome-shell bug, as GDM didn't change :) a gnome-shell bug in the GDM mode, let's say (GDM is mostly a special mode of gnome-shell, these days).

Comment 3 Fedora Admin user for bugzilla script actions 2024-02-19 19:04:14 UTC
This component is maintained by the GNOME project. Issues with it should be reported directly to GNOME at https://gitlab.gnome.org/GNOME/.

This issue should only be kept open if it:

1. Relates to Fedora packaging or integration with other Fedora components
2. Is required for Fedora release processes, such as blocker bugs and freeze exceptions

If this issue isn't needed for either of these two reasons, please:

 * create an issue with GNOME
 * add a link to the GNOME issue here
 * close this issue as CLOSED/UPSTREAM

Thank you!

Comment 4 Adam Williamson 2024-02-19 19:08:26 UTC
The "european language" install, which installs in French, is also failing, very likely for the exact same reason - it intentionally uses "azerty" as the username and password, to test exactly this kind of problem, and login is failing: https://openqa.fedoraproject.org/tests/2424703#step/_graphical_wait_login/10 (at that point the test is expecting to be successfully logged in, but it has in fact failed back to the login screen, likely because the password was entered as "qwerty" not "azerty").

Comment 5 Adam Williamson 2024-02-19 19:13:51 UTC
I think it is appropriate for this to be tracked downstream initially because we are carrying some fairly large patch sets related to this stuff downstream, they required rediffing for 46-beta, and it is entirely possible this is caused by those. Specifically, we have https://src.fedoraproject.org/rpms/gnome-shell/blob/rawhide/f/0002-status-keyboard-Load-keyboard-from-system-settings-i.patch and https://src.fedoraproject.org/rpms/gnome-shell/blob/rawhide/f/0003-status-keyboard-Use-gnome-desktop-API-for-getting-de.patch .

Proposing this as a Final blocker and Beta FE as a violation of https://fedoraproject.org/wiki/Fedora_40_Final_Release_Criteria#Keyboard_layout_configuration - "If a particular keyboard layout has been configured for the system, that keyboard layout must be used:  ... When logging in via the default login manager for a release-blocking desktop"

Comment 6 Adam Williamson 2024-02-19 19:17:12 UTC
For clarity, both openQA tests passed up to Fedora-40-20240216.n.0 and first failed in Fedora-40-20240217.n.0 . Which is why I believe this is caused by https://bodhi.fedoraproject.org/updates/FEDORA-2024-f543e8595c , which landed between those composes.

Comment 7 Lukas Ruzicka 2024-02-20 08:35:00 UTC
I am also experiencing a similar issue with the new Anaconda WebUI, however I have not performed enough testing yet. It happened to me that whenever I chose a non-English layout together with the English language (which I often do with my machines -> I am using English system with a Czech keyboard layout), but I ended up having an all English (US) system, with English layout and I had to switch the layout manually after the installation. That also does not feel right. Could that be connected?

Comment 8 Lukas Ruzicka 2024-02-20 10:16:57 UTC
Also, today I upgraded to Fedora 40 from Fedora 39 and realized that even machines where things were configured and working correctly do get this problem. After the upgrade, GDM does not show any layout switcher and it uses the US layout. Not only newly installed machines are affected.

Comment 9 Adam Williamson 2024-02-20 16:21:37 UTC
I think your issue from comment 7 is different. I tested that workflow quite a lot in F39 era but did not retest with F40 yet, and it's definitely possible the recent patch rebase broke something. (It's also possible I didn't test exactly what you did). Comment 8 definitely sounds the same as this bug, though.

Comment 10 Adam Williamson 2024-02-23 01:51:05 UTC
Hum, I guess now we deferred the webUI changes to F41, we could drop the related gnome-shell and gnome-desktop3 downstream patches and see if it resolves this.

Comment 11 Adrien D 2024-02-24 11:08:32 UTC
(In reply to Adam Williamson from comment #10)
> Hum, I guess now we deferred the webUI changes to F41, we could drop the
> related gnome-shell and gnome-desktop3 downstream patches and see if it
> resolves this.

just for information, a rawhide installed since 4 years, had the bug some weeks ago.
I think Anaconda-webui isn't the issue but i think it's gdm.

Is it exist a linux distro with GNOME46 beta to test ? (I didin't find but i think it's a good way to see if it's GDM issue or Fedora integration issue)

Comment 12 Adam Williamson 2024-02-24 16:21:22 UTC
GDM is mostly just a wrapper around gnome-shell these days. I think this is likely caused by the downstream patch to gnome-shell for the webui workflow, which changes its handling of input methods.

Comment 13 František Zatloukal 2024-02-27 12:14:14 UTC
Discussed during the 2024-02-26 blocker review meeting: [1]

The decision to classify this bug as a AcceptedFreezeException (Beta) was made:

"It is a probable final blocker, it affects user-experience in a significant way, and can't be fully addressed by an update".

[1] https://meetbot.fedoraproject.org/blocker-review_matrix_fedoraproject-org/2024-02-26/f40-blocker-review.2024-02-26-17.01.log.html

Comment 14 Fedora Update System 2024-02-28 03:19:07 UTC
FEDORA-2024-78161dbda7 (gnome-desktop3-44.0-15.fc40 and gnome-shell-46~beta-7.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-78161dbda7

Comment 15 Adam Williamson 2024-02-28 03:20:31 UTC
I did a quick test of a French install locally with the builds with the webui patches removed, and it does seem to resolve the problem, so I've sent an update. Please test and confirm (and karma the update). Thanks!

Comment 16 Fedora Update System 2024-02-29 01:07:19 UTC
FEDORA-2024-78161dbda7 has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-78161dbda7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-78161dbda7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2024-03-03 17:22:23 UTC
FEDORA-2024-78161dbda7 (gnome-desktop3-44.0-15.fc40 and gnome-shell-46~beta-7.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Adam Williamson 2024-03-05 01:48:27 UTC
We should leave this open as it still affects Rawhide, because the downstream patches are still intentionally present there. Moving blocker/FE nominations to F41.

Comment 19 Adam Williamson 2024-03-17 21:47:57 UTC
Still affects current Rawhide.

Comment 20 Adam Williamson 2024-04-12 18:27:34 UTC
It looks to me like this might have been fixed recently, looking at openQA results (though I can't immediately see what change might have fixed it). Yannick, can you try again with a recent Rawhide and see if it works for you?


Note You need to log in before you can comment on or make changes to this bug.